<?php

namespace ModulesGarden\Servers\ZimbraEmail\App\Libs\Zimbra\Components\Api\Soap\Interfaces;


use ModulesGarden\Servers\ZimbraEmail\App\Libs\Zimbra\Components\Api\Soap\Connection;

/**
 *
 * Created by PhpStorm.
 * User: Tomasz Bielecki ( tomasz.bi@modulesgarden.com )
 * Date: 09.09.19
 * Time: 09:47
 * Class AbstractConnection
 */
class AbstractConnection
{
    /**
     * @var Connection
     */
    protected $connection;

    /**
     * AbstractAction constructor.
     * @param Connection|null $connection
     */
    public function __construct(Connection $connection= null)
    {
        $this->setConnection($connection);
    }

    /**
     * @param Connection|null $connection
     */
    public function setConnection(Connection $connection= null)
    {
        $this->connection = $connection;
    }

    /**
     * @return Connection
     */
    public function getConnection()
    {
        return $this->connection;
    }
}